<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateIlsConfigReq StructType
 * @subpackage Structs
 */
class UpdateIlsConfigReq extends APIRequest
{
    /**
     * The role
     * @var string
     */
    public $role;
    /**
     * The registrationServer
     * @var string
     */
    public $registrationServer;
    /**
     * The activateIls
     * Meta information extracted from the WSDL
     * - documentation: The tag is still not supported from AXL side.It is just a dummy tag.
     * - base: xsd:string
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $activateIls;
    /**
     * The synchronizeClustersEvery
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * @var string
     */
    public $synchronizeClustersEvery;
    /**
     * The activatedServers
     * Meta information extracted from the WSDL
     * - documentation: The tag is still not supported from AXL side.It is just a dummy tag.
     * @var string
     */
    public $activatedServers;
    /**
     * The deactivatedServers
     * Meta information extracted from the WSDL
     * - documentation: The tag is still not supported from AXL side.It is just a dummy tag.
     * @var string
     */
    public $deactivatedServers;
    /**
     * The useTls
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $useTls;
    /**
     * The usePassword
     * @var string
     */
    public $usePassword;
    /**
     * Constructor method for UpdateIlsConfigReq
     * @uses UpdateIlsConfigReq::setRole()
     * @uses UpdateIlsConfigReq::setRegistrationServer()
     * @uses UpdateIlsConfigReq::setActivateIls()
     * @uses UpdateIlsConfigReq::setSynchronizeClustersEvery()
     * @uses UpdateIlsConfigReq::setActivatedServers()
     * @uses UpdateIlsConfigReq::setDeactivatedServers()
     * @uses UpdateIlsConfigReq::setUseTls()
     * @uses UpdateIlsConfigReq::setUsePassword()
     * @param string $role
     * @param string $registrationServer
     * @param string $activateIls
     * @param string $synchronizeClustersEvery
     * @param string $activatedServers
     * @param string $deactivatedServers
     * @param string $useTls
     * @param string $usePassword
     */
    public function __construct($role = null, $registrationServer = null, $activateIls = null, $synchronizeClustersEvery = null, $activatedServers = null, $deactivatedServers = null, $useTls = null, $usePassword = null)
    {
        $this
            ->setRole($role)
            ->setRegistrationServer($registrationServer)
            ->setActivateIls($activateIls)
            ->setSynchronizeClustersEvery($synchronizeClustersEvery)
            ->setActivatedServers($activatedServers)
            ->setDeactivatedServers($deactivatedServers)
            ->setUseTls($useTls)
            ->setUsePassword($usePassword);
    }
    /**
     * Get role value
     * @return string|null
     */
    public function getRole()
    {
        return $this->role;
    }
    /**
     * Set role value
     * @param string $role
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setRole($role = null)
    {
        $this->role = $role;
        return $this;
    }
    /**
     * Get registrationServer value
     * @return string|null
     */
    public function getRegistrationServer()
    {
        return $this->registrationServer;
    }
    /**
     * Set registrationServer value
     * @param string $registrationServer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setRegistrationServer($registrationServer = null)
    {
        $this->registrationServer = $registrationServer;
        return $this;
    }
    /**
     * Get activateIls value
     * @return string|null
     */
    public function getActivateIls()
    {
        return $this->activateIls;
    }
    /**
     * Set activateIls value
     * @param string $activateIls
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setActivateIls($activateIls = null)
    {
        $this->activateIls = $activateIls;
        return $this;
    }
    /**
     * Get synchronizeClustersEvery value
     * @return string|null
     */
    public function getSynchronizeClustersEvery()
    {
        return $this->synchronizeClustersEvery;
    }
    /**
     * Set synchronizeClustersEvery value
     * @param string $synchronizeClustersEvery
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setSynchronizeClustersEvery($synchronizeClustersEvery = null)
    {
        $this->synchronizeClustersEvery = $synchronizeClustersEvery;
        return $this;
    }
    /**
     * Get activatedServers value
     * @return string|null
     */
    public function getActivatedServers()
    {
        return $this->activatedServers;
    }
    /**
     * Set activatedServers value
     * @param string $activatedServers
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setActivatedServers($activatedServers = null)
    {
        $this->activatedServers = $activatedServers;
        return $this;
    }
    /**
     * Get deactivatedServers value
     * @return string|null
     */
    public function getDeactivatedServers()
    {
        return $this->deactivatedServers;
    }
    /**
     * Set deactivatedServers value
     * @param string $deactivatedServers
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setDeactivatedServers($deactivatedServers = null)
    {
        $this->deactivatedServers = $deactivatedServers;
        return $this;
    }
    /**
     * Get useTls value
     * @return string|null
     */
    public function getUseTls()
    {
        return $this->useTls;
    }
    /**
     * Set useTls value
     * @param string $useTls
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setUseTls($useTls = null)
    {
        $this->useTls = $useTls;
        return $this;
    }
    /**
     * Get usePassword value
     * @return string|null
     */
    public function getUsePassword()
    {
        return $this->usePassword;
    }
    /**
     * Set usePassword value
     * @param string $usePassword
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateIlsConfigReq
     */
    public function setUsePassword($usePassword = null)
    {
        $this->usePassword = $usePassword;
        return $this;
    }
}
